Package weka.classifiers.trees.ht

# Class SplitMetric

java.lang.Object
weka.classifiers.trees.ht.SplitMetric

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GiniSplitMetric`, `InfoGainSplitMetric`

public abstract class SplitMetric extends Object implements Serializable
Base class for split metrics

Version:
  $Revision: 9720 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplitMetric()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract double`
  `evaluateSplit(Map<String,WeightMass> preDist, List<Map<String,WeightMass>> postDist)`
  Evaluate the merit of a split
  `abstract double`
  `getMetricRange(Map<String,WeightMass> preDist)`
  Get the range of the splitting metric
  `static double`
  `sum(Map<String,WeightMass> dist)`
  Utility method to return the sum of instance weight in a distribution

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SplitMetric

    public SplitMetric()

- ## Method Details

  - ### sum

    public static double sum(Map<String,WeightMass> dist)
    Utility method to return the sum of instance weight in a distribution
    Parameters:
      `dist` - the distribution
    Returns:
      the sum of the weights contained in a distribution

  - ### evaluateSplit

    public abstract double evaluateSplit(Map<String,WeightMass> preDist, List<Map<String,WeightMass>> postDist)
    Evaluate the merit of a split
    Parameters:
      `preDist` - the class distribution before the split
      `postDist` - the class distributions after the split
    Returns:
      the merit of the split

  - ### getMetricRange

    public abstract double getMetricRange(Map<String,WeightMass> preDist)
    Get the range of the splitting metric
    Parameters:
      `preDist` - the pre-split class distribution
    Returns:
      the range of the splitting metric